@echo off
SET THEFILE=C:\Users\Михаил\Desktop\литература\ПРОГРАММЫ К ЛАБАМ\HiAsmUSART\USART+HiAsm.exe
echo Linking %THEFILE%
ld.exe  -s --subsystem windows   -o "C:\Users\Михаил\Desktop\литература\ПРОГРАММЫ К ЛАБАМ\HiAsmUSART\USART+HiAsm.exe" "C:\Users\Михаил\Desktop\литература\ПРОГРАММЫ К ЛАБАМ\HiAsmUSART\link.res"
if errorlevel 1 goto linkend
goto end
:asmend
echo An error occured while assembling %THEFILE%
goto end
:linkend
echo An error occured while linking %THEFILE%
:end
